<template>
  <div class="" />
</template>

<script>
import config from "@/config"
import { getParameterByName } from "@/utils/auth"

export default {
  name:'login',
  async mounted () {
      const name = getParameterByName("name")
      const back = getParameterByName("back")
      const redirect_url = encodeURIComponent(`http://rep.test241.wanyuhengtong.com/#/wechat?name=${name}&back=${back}`)
      var state = 'wx_' + Math.random().toString(36).substr(2, 15)
      const scope = 'snsapi_userinfo'
      const url = `https://open.weixin.qq.com/connect/oauth2/authorize?appid=${config.appId}&redirect_uri=${redirect_url}&response_type=code&scope=${scope}&state=${state}#wechat_redirect`
      window.location.href = url
  }
}
</script>
